/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_multiple_integral_test.pov
 
*/
  ////
 //   example   //    
//_____________//     
#version 3.7;
#global_settings {charset utf8 assumed_gamma 1.0} // charset has to be utf8, or some characters don't display properly
#include "colors.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
//************************************|*******************|*******************|*******************|*******************|*******************|*******************|
CL_rlp_make_text_string_set(1) // Set some global CL_... variables
//
#declare integrand_part       = 0;
#declare integrand_string     = "#f(x,y,z)";  
#declare int_varb_array       = array[3]{"#z","#y","#x"};
#declare sub_super_array      = array[6]{"#c_1(x,y)","#c_2(x,y)","#b_1(x)","#b_2(x)","#a_1","#a_2"};
#declare front_space_array    = array[3]{CL_medium_space,-CL_medium_space,-CL_medium_space}; 
#declare back_space           = CL_medium_space;
#declare display_type         = 1; // 0 inline, 1 displayed
#declare mult_int_level       = 3; // 1 single, 2 double, 3 triple   
#declare integrand_dimensions = array[4]{0,0,0,0};
#declare CL_dimensions_out    = array[4]{0,0,0,0};
#declare mult_int_obj         = object{CL_rlp_make_multiple_integrals(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,
                                                                      CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                      integrand_part,integrand_string,int_varb_array,
                                                                      sub_super_array,front_space_array,back_space,
                                                                      display_type,mult_int_level,
                                                                      integrand_dimensions,CL_dimensions_out) }
// Display the multiple integral object
object{mult_int_obj translate <-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }
//
camera{orthographic location <0,0.9,-CL_dimensions_out[0]*4> look_at <0,0.9,0> angle 15}

